Files
haikuports/app-arch/gzip/patches/gzip-1.7.patchset
fbrosson 7fa8f38e5c gzip: bump to version 1.7.
* Bump version.
* Update HOMEPAGE.
* Drop SOURCE_DIR as it is not needed.
* Delete $libDir/charset.alias as it is not needed.
2016-03-29 15:44:06 +00:00

26 lines
643 B
Plaintext

From 39ee8c0d94879bde10822f2b95caedde3d6842fb Mon Sep 17 00:00:00 2001
From: Timothy Gu <timothygu99@gmail.com>
Date: Tue, 16 Dec 2014 21:50:24 +0000
Subject: [PATCH] gzexe: Fallback on file copying for backup
BFS doesn't support hard links.
Signed-off-by: Timothy Gu <timothygu99@gmail.com>
diff --git a/gzexe.in b/gzexe.in
index e458563..45e1900 100644
--- a/gzexe.in
+++ b/gzexe.in
@@ -212,7 +212,7 @@ EOF
echo >&2 "$0: $tmp: cannot chmod"
continue
}
- ln -f "$file" "$file~" || {
+ ln -f "$file" "$file~" || cp -f "$file" "${file}~" || {
res=$?
echo >&2 "$0: cannot backup $i as $i~"
continue
--
1.8.3.4